"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const codegen_1 = require("@azure-tools/codegen");
const expression_1 = require("./expression");
const linq_1 = require("@azure-tools/linq");
/** An c# Attribute that can be placed on methods, classes, members and parameters */
class Attribute extends codegen_1.Initializer {
    constructor(type, objectIntializer) {
        super();
        this.type = type;
        this.parameters = new Array();
        this.apply(objectIntializer);
    }
    get value() {
        const params = linq_1.length(this.parameters) > 0 ? `(${this.parameters.joinWith(each => expression_1.valueOf(expression_1.toExpression(each)))})` : '';
        return `[${this.type.declaration}${params}]`;
    }
}
exports.Attribute = Attribute;
//# sourceMappingURL=attribute.js.map