"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const codegen_1 = require("@azure-tools/codegen");
const linq_1 = require("@azure-tools/linq");
function xmlize(element, text) {
    if (text) {
        if (linq_1.length(text) < 80 && text.indexOf(codegen_1.EOL) === -1) {
            return `<${element}>${text.trim()}</${element}>`;
        }
        return `
<${element}>
${text}
</${element}>`.trim();
    }
    return text;
}
exports.xmlize = xmlize;
exports.summary = (text) => xmlize('summary', text);
//# sourceMappingURL=doc-comments.js.map