import { Initializer, DeepPartial } from '@azure-tools/codegen';
import { Class } from './class';
import { Delegate } from './delegate';
import { ImportDirective } from './import';
import { Interface } from './interface';
import { Project } from './project';
export declare class Namespace extends Initializer {
    name: string;
    protected parent?: Project | Namespace | undefined;
    private usings;
    private classes;
    private interfaces;
    private delegates;
    private namespaces;
    private folder;
    header: string;
    constructor(name: string, parent?: Project | Namespace | undefined, objectInitializer?: DeepPartial<Namespace>);
    get outputFolder(): string;
    private addImport;
    addClass(c: Class): Class;
    addInterface(i: Interface): Interface;
    addDelegate(delegate: Delegate): Delegate;
    addNamespace(n: Namespace): Namespace;
    add<T extends object>(item: T & (Class | Namespace | Interface | ImportDirective)): T;
    findClassByName(name: string): Array<Class>;
    get fullName(): string;
    toString(): string;
    writeFiles(writer: (filename: string, content: string) => Promise<void>): Promise<void>;
    protected render(content: string): string;
}
//# sourceMappingURL=namespace.d.ts.map