import { Attribute } from './attribute';
import { Expression, ExpressionOrLiteral } from './expression';
import { ParameterModifier } from './parameter-modifier';
import { OneOrMoreStatements, Statement } from './statements/statement';
import { TypeDeclaration } from './type-declaration';
import { Variable } from './variable';
import { DeepPartial } from '@azure-tools/codegen';
/** represents a method parameter */
export declare class Parameter extends Variable {
    name: string;
    type: TypeDeclaration;
    description: string;
    genericParameters: string[];
    where?: string;
    params: boolean;
    modifier: ParameterModifier;
    defaultInitializer?: Expression;
    attributes: Attribute[];
    protected get attributeDeclaration(): string;
    constructor(name: string, type: TypeDeclaration, objectInitializer?: DeepPartial<Parameter>);
    get comment(): string;
    get declaration(): string;
    get use(): string;
    get value(): string;
    assign(expression: ExpressionOrLiteral): OneOrMoreStatements;
    assignPrivate(expression: ExpressionOrLiteral): OneOrMoreStatements;
    get declarationExpression(): Expression;
    get declarationStatement(): Statement;
}
//# sourceMappingURL=parameter.d.ts.map