import { DeepPartial } from '@azure-tools/codegen';
import { Expression, ExpressionOrLiteral } from '../expression';
import { StatementPossibilities, Statements } from './statement';
export declare class ForStatement extends Statements {
    initialization: Expression;
    condition: ExpressionOrLiteral;
    loop: Expression;
    constructor(initialization: Expression, condition: ExpressionOrLiteral, loop: Expression, statements: StatementPossibilities, objectInitializer?: DeepPartial<ForStatement>);
    get implementation(): string;
}
export declare class ForEachStatement extends Statements {
    variable: string;
    enumerable: ExpressionOrLiteral;
    constructor(variable: string, enumerable: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: DeepPartial<ForStatement>);
    get implementation(): string;
}
export declare function For(initialization: Expression, condition: ExpressionOrLiteral, loop: Expression, statements: StatementPossibilities, objectInitializer?: DeepPartial<ForStatement>): ForStatement;
export declare function ForEach(variable: string, enumerable: ExpressionOrLiteral, statements: StatementPossibilities, objectInitializer?: DeepPartial<ForStatement>): ForEachStatement;
//# sourceMappingURL=for.d.ts.map